Loading...
Searching...
No Matches
casacore::MSSelectableMainColumn Class Referenceabstract

`#include <MSSelectableMainColumn.h>`

## Public Member Functions

| MSSelectableMainColumn (const Table &msLikeTable)
| MSSelectableMainColumn ()
virtual | ~MSSelectableMainColumn ()
virtual void | init (const Table &msLikeTable)
const Table * | table ()
virtual const ArrayColumn< Bool > & | flag ()=0
virtual Bool | flagRow (rownr_t i)=0
virtual const ScalarQuantColumn< Double > & | exposureQuant ()=0
virtual const ScalarQuantColumn< Double > & | timeQuant ()=0
virtual const MeasurementSet * | asMS ()=0

## Protected Attributes

const Table * | table_p

## Detailed Description

Definition at line 43 of file MSSelectableMainColumn.h.

## Constructor & Destructor Documentation

## MSSelectableMainColumn() [1/2]

casacore::MSSelectableMainColumn::MSSelectableMainColumn | ( | const Table & | msLikeTable | ) |

inline

Definition at line 46 of file MSSelectableMainColumn.h.

References casacore::init().

Referenced by casacore::MSMainColInterface::MSMainColInterface(), and casacore::MSMainColInterface::MSMainColInterface().

## MSSelectableMainColumn() [2/2]

casacore::MSSelectableMainColumn::MSSelectableMainColumn | ( |  | ) |

inline

Definition at line 47 of file MSSelectableMainColumn.h.

References table_p.

## ~MSSelectableMainColumn()

virtual casacore::MSSelectableMainColumn::~MSSelectableMainColumn | ( |  | ) |

inline virtual

Definition at line 48 of file MSSelectableMainColumn.h.

## Member Function Documentation

## asMS()

virtual const MeasurementSet * casacore::MSSelectableMainColumn::asMS | ( |  | ) |

pure virtual

Implemented in casacore::MSMainColInterface.

## exposureQuant()

virtual const ScalarQuantColumn< Double > & casacore::MSSelectableMainColumn::exposureQuant | ( |  | ) |

pure virtual

Implemented in casacore::MSMainColInterface.

## flag()

virtual const ArrayColumn< Bool > & casacore::MSSelectableMainColumn::flag | ( |  | ) |

pure virtual

Implemented in casacore::MSMainColInterface.

## flagRow()

virtual Bool casacore::MSSelectableMainColumn::flagRow | ( | rownr_t | i | ) |

pure virtual

Implemented in casacore::MSMainColInterface.

## init()

virtual void casacore::MSSelectableMainColumn::init | ( | const Table & | msLikeTable | ) |

inline virtual

Reimplemented in casacore::MSMainColInterface.

Definition at line 50 of file MSSelectableMainColumn.h.

References table_p.

Referenced by casacore::MSMainColInterface::init().

## table()

const Table * casacore::MSSelectableMainColumn::table | ( |  | ) |

inline

Definition at line 51 of file MSSelectableMainColumn.h.

References table_p.

Referenced by casacore::MSMainColInterface::asMS().

## timeQuant()

virtual const ScalarQuantColumn< Double > & casacore::MSSelectableMainColumn::timeQuant | ( |  | ) |

pure virtual

Implemented in casacore::MSMainColInterface.

## Member Data Documentation

## table_p

const Table* casacore::MSSelectableMainColumn::table_p

protected

Definition at line 59 of file MSSelectableMainColumn.h.

Referenced by init(), MSSelectableMainColumn(), and table().

The documentation for this class was generated from the following file:

- ms/MSSel/MSSelectableMainColumn.h